Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.eindex.matching
Interface PassController

public interface PassController

The PassController class determines whether to attempt another matching pass for the transaction using the next blocking definition (specified by BlockPicker). eView Studio provides predefined pass controllers, but you can create custom pass controllers using the custom plug-in feature. Implement PassController in any custom pass controllers you create. When you create a custom pass controller, you need to specify the name of the Java class in the Match Field file. For more information about the Match Field file and pass controllers, see the eView Studio Configuration Guide.

Method Summary
`boolean` | `evalAnotherPass(SystemObject inObject, EOSearchOptions searchOptions, java.util.ArrayList lastResults, java.util.ArrayList combinedResults, java.util.ArrayList previousBlockIDs, java.util.ArrayList remainingBlockIDs)` Specifies whether to attempt another matching pass using the next blocking definition.

Method Detail

### evalAnotherPass

    public boolean evalAnotherPass(SystemObject inObject,
                                   EOSearchOptions searchOptions,
                                   java.util.ArrayList lastResults,
                                   java.util.ArrayList combinedResults,
                                   java.util.ArrayList previousBlockIDs,
                                   java.util.ArrayList remainingBlockIDs)

  Specifies whether to attempt another matching pass using the next blocking definition. For example, whether to attempt another pass could depend on the results that have been returned so far or on what blocking definitions still remain.

  Parameters:
    `inObject` - The system object being matched.
    `searchOptions` - The options used for the search. From this, you can determine whether it is a weighted search or a normal match.
    `lastResults` - A list of results (ScoreElement) from the last pass of a blocking definition. The results are not sorted by weight at this point.
    `combinedResults` - A list of results from the all previous passes of a blocking definition.
    `previousBlockIDs` - A list of blocking definition IDs that have already been used in previous match passes for this transaction.
    `remainingBlockIDs` - A list of remaining blocking definition IDs that have not been used in previous match passes for this transaction.
  Returns:
    `boolean` - A Boolean indicator of whether to perform another pass. Return true to perform another pass; otherwise return false.
  Throws:
    None.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007 by Sun Microsystems, Inc. All Rights Reserved.